package agents;

import knowledgeAndTechnics.Intelligence;

/*
 * Created on Oct 12, 2004
 *
 */

/*******************************************************************************
 * Steht nur dumm rum
 * 
 * @author wir
 *  
 ******************************************************************************/
public class U02_DefenseLeftAgent extends Defense {
    int lastTime;
    public void playerInitialization() {
    	baseFunctions.init(infoPool.getTeamName());

        //Die Startposition
        infoPool.setXPlayerStart(-35);
        infoPool.setYPlayerStart(-17);

        // Die Ruheposition
        infoPool.setXPlayerHome(-26.25);
        infoPool.setYPlayerHome(-17);
        // Der Handlungsbereich
        infoPool.setX1PlayerActingField(-57.5);
        infoPool.setY1PlayerActingField(-39);
        infoPool.setX2PlayerActingField(-17.5);
        infoPool.setY2PlayerActingField(39);
        // weitere Variablen
        infoPool.setX1PlayerFreeKickField(-57.5); //außerhalb, damit er nix tut
        infoPool.setY1PlayerFreeKickField(-39);
        infoPool.setX2PlayerFreeKickField(-17.5);
        infoPool.setY2PlayerFreeKickField(-11);
        infoPool.setRole(Intelligence.DEFENSE_LEFT);
    }

    public U02_DefenseLeftAgent(String[] args) {
        super(args);
    }
   
    public static void main(String[] args) {
        U02_DefenseLeftAgent d = new U02_DefenseLeftAgent(args);
        d.start();
    }
}